Skip to content

Create Rendered Asset

POST
/api/v1/workspaces/{workspace_id}/emails/{email_id}/rendered_assets

Creates a new rendered asset (PDF or PNG) from an email.

workspace_id
required
integer

Workspace ID

email_id
required
integer

Email ID

object
format
required

The output format.

string
Allowed values: pdf png
device_type
required

The device viewport to render with.

string
Allowed values: desktop mobile
specs
required

Array of render specifications.

Array<object>
object
locale
required
string
Example
en-US
conditional_selections
Array<object>
nullable
object
conditional_id
required
integer
Example
12345
mode
required
string
Allowed values: all none branch
Example
branch
branch_key
string
nullable
Example
gold

Successful

object
id
required
integer
Example
12345
organization_id
required
integer
Example
12345
workspace_id
required
integer
Example
12345
email_id
required
integer
Example
12345
format
required
string
Allowed values: pdf png
Example
pdf
device_type
required
string
Allowed values: desktop mobile
Example
desktop
status
required
string
Allowed values: in_progress completed failed
Example
in_progress
specs
required
Array<object>
object
locale
required
string
Example
en-US
conditional_selections
Array<object>
nullable
object
conditional_id
required
integer
Example
12345
mode
required
string
Allowed values: all none branch
Example
branch
branch_key
string
nullable
Example
gold
errors_data
required
object
download_url
required
string
nullable
Example
https://www.example.com/download.pdf
created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z
updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z

Unauthorized

object
message
required
string
Example
Record not found

Forbidden

object
message
required
string
Example
Record not found

Unprocessable Entity

object
message
required
string
Example
Failed to save
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}